CREATE TABLE hry_pi_integ_properties (
    INTEGRATION_PROPERTY_ID    NUMBER(18, 0) ,
    INTEGRATION_SETUP_ID       NUMBER(18, 0) ,
    PROPERTY_NAME              VARCHAR2(320) ,
    PROPERTY_VALUE             VARCHAR2(4000),
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(4000),
    ATTRIBUTE4                 VARCHAR2(4000),
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    INTEGRATION_PROPERTY_ID    NUMBER(18, 0) ,
    INTEGRATION_SETUP_ID       NUMBER(18, 0) ,
    PROPERTY_NAME              VARCHAR2(320) ,
    PROPERTY_VALUE             VARCHAR2(4000),
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(4000),
    ATTRIBUTE4                 VARCHAR2(4000),
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY         VARCHAR2(120) ,
    ENTERPRISE_ID              NUMBER(18, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CONSTRAINT pk_hry_pi_integ_properties PRIMARY KEY (INTEGRATION_PROPERTY_ID, INTEGRATION_PROPERTY_ID)
);
